Five Errors Customers Make When Migrating E-Business Suite 12 (Part 4)

This is the fourth in a series of articles about common technical myths or misunderstandings about the E-Business Suite. Other articles have covered installations, cloning, patching, upgrades, and maintenance. This article discusses migrations.

Each article is absolutely not definitive and I’d be interested in comments from readers who think there are other misconceptions about the day to day maintenance and upgrade of a typical E-Business Suite environment.


COMMON ERROR #1: Exporting from a 9i database and importing into a fresh 10g/11g database.

ORACLE’S RECOMMENDATION: When working with 10g onwards you must use datapump. Refer to the opening section of the relevant import/export Note to establish database version compatibility for exports/imports (including datapump). When importing into a 10g or 11g database the source database must be 10g or later.

COMMON ERROR #2: Assuming that Linux x86_64 is a certified application tier platform for 11i.

ORACLE’S RECOMMENDATION: Linux x86_64 is only certified for the 11i database tier of the E-Business Suite. Linux x86_64 can be used as both an application and database tier platform with Release 12 onwards. There are no plans to certify Linux x86_64 as a platform for the 11i application tier. Linux x86_64 using any form of 32 bit emulation is also not a certified 11i application tier platform.

COMMON ERROR #3: Migrating the E-Business Suite environment to a new platform by performing a fresh install of the E-Business Suite using Rapidwiz on the new platform and then performing an export/import of the database.

ORACLE’S RECOMMENDATION: You must use the migration tools documented in the link below to migrate the application tier to the new platform. Only use Rapidwiz to create the new application tier technology stack.

COMMON ERROR #4: Migrating EBS 11i application tier servers to Exalogic servers.

ORACLE’S RECOMMENDATION: The Exadata platform is certified for use as a database tier for both 11i and R12. Both 11i and R12 require Oracle Database 11gR2. The Exalogic platform can be used as an application tier for R12 but not for 11i.

COMMON ERROR #5: Installing or upgrading your E-Business Suite technology stack components requires downloading the entire R12 installation media.

ORACLE’S RECOMMENDATION: It is possible to build a staging area that only contains the components you require. Refer to the E-Business Suite Installation Guide for instructions on how to build a partial staging area that contains only the technology stack or E-Business Suite components that you require.

References

Related Articles


Comments:

Can you provide more detail (specific MOS notes) on #1? I'm curious as to why datapump is required (and traditional exp/imp isn't supported).

Posted by guest on July 27, 2012 at 11:08 AM PDT #

Hi Guest

I think it's simply a matter that with the arrival of datapump with 10g it was agreed to be a superior product to the old exp/imp utilities.

Maintaining documentation for both exp/imp and datapump when datapump does a better and faster job seems somewhat redundant.

Datapump is the only export/import utility supported with release 12.

The source and target version compatibility is explained at the start of each MOS Note - for example Note 741818.1.

Regards

Nick

Posted by Nick Quarmby on July 30, 2012 at 03:28 AM PDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today